# 2 Dimensional Ising Model: details Namespace Reference

Loading...
Searching...
No Matches
details Namespace Reference

## Functions

void | m_assert (bool expr, std::string expr_str, std::string func, std::string file, int line, std::string msg)
| Test an expression, confirm that test is ok, or abort execution.
std::string | methodName (const std::string &pretty_function)
| Takes in the PRETTY_FUNCTION string and removes the return type.

## Function Documentation

## m_assert()

void details::m_assert | ( | bool | expr,
|  | std::string | expr_str,
|  | std::string | func,
|  | std::string | file,
|  | int | line,
|  | std::string | msg
| ) |  |

Test an expression, confirm that test is ok, or abort execution.

This function takes in an expression and prints an OK message if it's true, or it prints a fail message and aborts execution if it fails.

Parameters

  expr | The expression to be evaluated
  expr_str | The stringified version of the expression
  func | The function name of the caller
  file | The file of the caller
  line | The line number where this function is called from
  msg | The message to be displayed

Definition at line 15 of file testlib.cpp.

## methodName()

std::string details::methodName | ( | const std::string & | pretty_function | ) |

inline

Takes in the PRETTY_FUNCTION string and removes the return type.

This function should only be used for the METHOD_NAME macro, since it takes the output from PRETTY_FUNCTION and strips the return type.

Parameters

  pretty_function | The string from PRETTY_FUNCTION

Returns
  std::string

Definition at line 58 of file utils.hpp.